
Foreman - Feature #6959

Set OS level info when the Compute Resource is oVirt

08/06/2014 10:11 AM - Joop van de Wege

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Compute resources - oVirt   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1145229 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3308

  

Description

Currently this is only set for VMWare but it would be nice to set it also for oVirt.

oVirt has a list of supported OS's and it would be nice to set those from within Foreman.

Example: architecture is x86_64, OS is Centos, major version is 6 minor version is 5 which corresponds to Red Hat Enterprise Linux

6.x x64 in oVirt

Related issues:

Related to Foreman - Bug #15066: Unable to provision hosts on RHEV < 3.6 Closed 05/16/2016

Associated revisions

Revision 5e74b082 - 04/12/2016 06:57 AM - Ivan Necas

Fixes #6959 - set operating system for RHEV/ovirt VMs

Backward compatible, but works best with https://github.com/abenari/rbovirt/pull/104

History

#1 - 08/06/2014 10:12 AM - Dominic Cleal

- Category set to Compute resources - oVirt

#2 - 09/23/2014 03:54 AM - Dominic Cleal

- Bugzilla link set to 1145229

#3 - 03/11/2016 08:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/3308 added

#4 - 04/12/2016 06:57 AM - Marek Hulán

- translation missing: en.field_release set to 136

#5 - 04/12/2016 07:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5e74b08218d9811b8f5b488783f151f258156e67.

#6 - 05/17/2016 02:28 AM - Dominic Cleal

- Related to Bug #15066: Unable to provision hosts on RHEV < 3.6 added
